MyGUI::PixelFormat Struct Reference

`#include <MyGUI_RenderFormat.h>`

## Public Types

enum | Enum { Unknow , L8 , L8A8 , R8G8B8 , R8G8B8A8 }

## Public Member Functions

| PixelFormat (Enum _value=Unknow)
int | getValue () const
int | getBytesPerPixel () const

## Friends

bool | operator== (PixelFormat const &a, PixelFormat const &b)
bool | operator!= (PixelFormat const &a, PixelFormat const &b)

## Detailed Description

Definition at line 49 of file MyGUI_RenderFormat.h.

## Member Enumeration Documentation

## Enum

enum MyGUI::PixelFormat::Enum

Enumerator
Unknow |
L8 |
L8A8 |
R8G8B8 |
R8G8B8A8 |

Definition at line 51 of file MyGUI_RenderFormat.h.

## Constructor & Destructor Documentation

## PixelFormat()

MyGUI::PixelFormat::PixelFormat | ( | Enum | _value = Unknow | ) |

inline

Definition at line 60 of file MyGUI_RenderFormat.h.

## Member Function Documentation

## getBytesPerPixel()

int MyGUI::PixelFormat::getBytesPerPixel | ( |  | ) | const

inline

Definition at line 80 of file MyGUI_RenderFormat.h.

## getValue()

int MyGUI::PixelFormat::getValue | ( |  | ) | const

inline

Definition at line 75 of file MyGUI_RenderFormat.h.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | PixelFormat const & | a,
|  | PixelFormat const & | b )

friend

Definition at line 70 of file MyGUI_RenderFormat.h.

## operator==

bool operator== | ( | PixelFormat const & | a,
|  | PixelFormat const & | b )

friend

Definition at line 65 of file MyGUI_RenderFormat.h.

The documentation for this struct was generated from the following file:

- MyGUI_RenderFormat.h